---
title: Resize Databases
url: https://docs.vultr.com/products/storage/databases/valkey/management/resize-databases
description: A guide explaining how to increase or decrease the resources allocated to your Vultr Managed Database instances
publish_date: 2024-09-23T20:21:49.320540Z
last_updated: 2026-05-26T19:44:06.931887Z
---

# How to Resize Vultr Managed Databases for Caching

Resizing Vultr Managed Databases for Caching allows you to scale your database resources as your data grows. Scaling a database up is useful if your current plan can't handle your workload. Upsizing your managed database cluster also adds more CPUs, RAM, storage, and replica nodes to provide a better experience to your end-users.

Follow this guide to resize Vultr Managed Databases for Caching using Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Click the target database instance.
    1. Navigate to **Settings** and click **Change Plan**. 
    1. Review the active plan, select a new plan, set replica nodes, and click **Save**.

=== "Vultr API"

    1. List all the database instances by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the database ID. For example, `43b4c774-5dff-4ac0-a01f-78a23c2205b5`.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to change the database plan and specify the database ID and the new plan (For instance, `vultr-dbaas-business-occ-mo-2-26-16`).

        ```console
        $ curl "https://api.vultr.com/v2/databases/database_id" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "plan" : "vultr-dbaas-business-occ-mo-2-26-16"       
            }'
        ```

        Visit the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all database instances and note the database ID. For instance, `d6ac2a3c-92ea-43ef-8185-71a23e58ad8c`.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Update the database plan by specifying a database ID and a new plan (For instance, `vultr-dbaas-business-occ-mo-2-26-16`).

        ```console
        $ vultr-cli database update database_id \
        --plan vultr-dbaas-business-occ-mo-2-26-16
        ```
    
        Run `vultr-cli database update --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration and locate the Managed Database for Valkey resource.

    1. Update the `plan` argument with the new database plan ID.

        ```terraform
        resource "vultr_database" "valkey" {
            label                   = "valkey-db-1"
            database_engine         = "valkey"
            database_engine_version = "7"
            region                  = "jnb"
            plan                    = "vultr-dbaas-business-occ-mo-2-26-16" # Updated plan
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
